.TH wxSizerFlags 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxSizerFlags \- See external documentation: wxSizerFlags\&.
.SH DESCRIPTION
.LP
See external documentation: wxSizerFlags <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizerflags\&.html>\&.

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxSizerFlags()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxSizerFlags()
.br
.RS
.LP
Equivalent to new([])\&.
.RE
.LP
.B
new(Options::[Option]) -> wxSizerFlags()
.br
.RS
.TP
Types
Option = {proportion, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizerflags\&.html#wxsizerflagswxsizerflags>\&.
.RE
.LP
.B
align(This::wxSizerFlags(), Alignment::integer()) -> wxSizerFlags()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizerflags\&.html#wxsizerflagsalign>\&.
.RE
.LP
.B
border(This::wxSizerFlags()) -> wxSizerFlags()
.br
.RS
.LP
Equivalent to border(This, [])\&.
.RE
.LP
.B
border(This::wxSizerFlags(), Options::[Option]) -> wxSizerFlags()
.br
.RS
.TP
Types
Option = {direction, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizerflags\&.html#wxsizerflagsborder>\&.
.RE
.LP
.B
border(This::wxSizerFlags(), Direction::integer(), BorderInPixels::integer()) -> wxSizerFlags()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizerflags\&.html#wxsizerflagsborder>\&.
.RE
.LP
.B
center(This::wxSizerFlags()) -> wxSizerFlags()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizerflags\&.html#wxsizerflagscenter>\&.
.RE
.LP
.B
centre(This::wxSizerFlags()) -> wxSizerFlags()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizerflags\&.html#wxsizerflagscentre>\&.
.RE
.LP
.B
expand(This::wxSizerFlags()) -> wxSizerFlags()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizerflags\&.html#wxsizerflagsexpand>\&.
.RE
.LP
.B
left(This::wxSizerFlags()) -> wxSizerFlags()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizerflags\&.html#wxsizerflagsleft>\&.
.RE
.LP
.B
proportion(This::wxSizerFlags(), Proportion::integer()) -> wxSizerFlags()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizerflags\&.html#wxsizerflagsproportion>\&.
.RE
.LP
.B
right(This::wxSizerFlags()) -> wxSizerFlags()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsizerflags\&.html#wxsizerflagsright>\&.
.RE
.LP
.B
destroy(This::wxSizerFlags()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
